

# DeregisterDevice
<a name="API_DeregisterDevice"></a>

**Important**  
End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see [Amazon WorkSpaces Thin Client end of support](https://docs.aws.amazon.com/workspaces-thin-client/latest/ug/workspacesthinclient-end-of-support.html). 

Deregisters a thin client device.

## Request Syntax
<a name="API_DeregisterDevice_RequestSyntax"></a>

```
POST /deregister-device/id HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "targetDeviceStatus": "string"
}
```

## URI Request Parameters
<a name="API_DeregisterDevice_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_DeregisterDevice_RequestSyntax) **   <a name="workspacesthinclient-DeregisterDevice-request-uri-id"></a>
The ID of the device to deregister.  
Pattern: `[a-zA-Z0-9]{24}`   
Required: Yes

## Request Body
<a name="API_DeregisterDevice_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientToken](#API_DeregisterDevice_RequestSyntax) **   <a name="workspacesthinclient-DeregisterDevice-request-clientToken"></a>
Specifies a unique, case-sensitive identifier that you provide to ensure the idempotency of the request. This lets you safely retry the request without accidentally performing the same operation a second time. Passing the same value to a later call to an operation requires that you also pass the same value for all other parameters. We recommend that you use a [UUID type of value](https://wikipedia.org/wiki/Universally_unique_identifier).  
If you don't provide this value, then AWS generates a random one for you.  
If you retry the operation with the same `ClientToken`, but with different parameters, the retry fails with an `IdempotentParameterMismatch` error.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 512.  
Required: No

 ** [targetDeviceStatus](#API_DeregisterDevice_RequestSyntax) **   <a name="workspacesthinclient-DeregisterDevice-request-targetDeviceStatus"></a>
The desired new status for the device.  
Type: String  
Valid Values: `DEREGISTERED | ARCHIVED`   
Required: No

## Response Syntax
<a name="API_DeregisterDevice_ResponseSyntax"></a>

```
HTTP/1.1 202
```

## Response Elements
<a name="API_DeregisterDevice_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 202 response with an empty HTTP body.

## Errors
<a name="API_DeregisterDevice_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see [Amazon WorkSpaces Thin Client end of support](https://docs.aws.amazon.com/workspaces-thin-client/latest/ug/workspacesthinclient-end-of-support.html). 
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see [Amazon WorkSpaces Thin Client end of support](https://docs.aws.amazon.com/workspaces-thin-client/latest/ug/workspacesthinclient-end-of-support.html). 
The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request.    
 ** resourceId **   
The ID of the resource associated with the request.  
 ** resourceType **   
The type of the resource associated with the request.
HTTP Status Code: 409

 ** InternalServerException **   
End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see [Amazon WorkSpaces Thin Client end of support](https://docs.aws.amazon.com/workspaces-thin-client/latest/ug/workspacesthinclient-end-of-support.html). 
The server encountered an internal error and is unable to complete the request.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the next request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see [Amazon WorkSpaces Thin Client end of support](https://docs.aws.amazon.com/workspaces-thin-client/latest/ug/workspacesthinclient-end-of-support.html). 
The resource specified in the request was not found.    
 ** resourceId **   
The ID of the resource associated with the request.  
 ** resourceType **   
The type of the resource associated with the request.
HTTP Status Code: 404

 ** ThrottlingException **   
End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see [Amazon WorkSpaces Thin Client end of support](https://docs.aws.amazon.com/workspaces-thin-client/latest/ug/workspacesthinclient-end-of-support.html). 
The request was denied due to request throttling.    
 ** quotaCode **   
The code for the quota in [Service Quotas](https://docs.aws.amazon.com/servicequotas/latest/userguide/intro.html).  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the next request.  
 ** serviceCode **   
The code for the service in [Service Quotas](https://docs.aws.amazon.com/servicequotas/latest/userguide/intro.html).
HTTP Status Code: 429

 ** ValidationException **   
End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see [Amazon WorkSpaces Thin Client end of support](https://docs.aws.amazon.com/workspaces-thin-client/latest/ug/workspacesthinclient-end-of-support.html). 
The input fails to satisfy the specified constraints.    
 ** fieldList **   
A list of fields that didn't validate.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_DeregisterDevice_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/workspaces-thin-client-2023-08-22/DeregisterDevice) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/workspaces-thin-client-2023-08-22/DeregisterDevice) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/workspaces-thin-client-2023-08-22/DeregisterDevice) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/workspaces-thin-client-2023-08-22/DeregisterDevice) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/workspaces-thin-client-2023-08-22/DeregisterDevice) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/workspaces-thin-client-2023-08-22/DeregisterDevice) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/workspaces-thin-client-2023-08-22/DeregisterDevice) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/workspaces-thin-client-2023-08-22/DeregisterDevice) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/workspaces-thin-client-2023-08-22/DeregisterDevice) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/workspaces-thin-client-2023-08-22/DeregisterDevice) 